# -*- encoding: utf-8 -*-
# stub: rumrunner 0.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rumrunner".freeze
  s.version = "0.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alexander Mancevice".freeze]
  s.date = "2019-12-10"
  s.description = "Rum Runner is a Rake-based utility for building multi-stage Dockerfiles.\n\nUsers can pair a multi-stage Dockerfile with a Rumfile that uses a\nRake-like DSL to customize each stage's build options and dependencies.\n\nThe `rum` executable allows users to easily invoke builds, shell-into\nspecific stages for debugging, and export artifacts from built containers.\n\nRum Runner has the following features:\n* Fully compatible with Rake\n* Rake-like DSL/CLI that enable simple annotation and execution of builds\n* Rumfiles are completely defined in standard Ruby syntax, like Rakefiles\n* Users can chain Docker build stages with prerequisites\n* Artifacts can be exported from stages\n* Shell tasks are automatically provided for every stage\n* Stage, artifact, and shell, steps can be customized\n".freeze
  s.email = ["smallweirdnum@gmail.com".freeze]
  s.executables = ["rum".freeze]
  s.files = ["bin/rum".freeze]
  s.homepage = "https://github.com/amancevice/rumrunner.git".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Rum Runner is a Rake-based utility for building projects with multi-stage Dockerfiles".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.16"])
  else
    s.add_dependency(%q<rake>.freeze, ["~> 13.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 2.0"])
    s.add_dependency(%q<pry>.freeze, ["~> 0.12"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["~> 0.16"])
  end
end
